darcs

Safe Haskell | Safe-Infered

Darcs.Repository.Repair

# Documentation

replayRepository :: (RepoPatch p, ApplyState p ~ Tree) => Repository p -> [DarcsFlag] -> (RepositoryConsistency p -> IO a) -> IO a

checkIndex :: (RepoPatch p, ApplyState p ~ Tree) => Repository p -> Bool -> IO Bool

replayRepositoryInTemp :: (RepoPatch p, ApplyState p ~ Tree) => Repository p -> [DarcsFlag] -> IO (RepositoryConsistency p)

data RepositoryConsistency p

Constructors

RepositoryConsistent |
BrokenPristine (Tree IO) |
BrokenPatches (Tree IO) (PatchSet p) |